Page MenuHomePhabricator

Display diffs between Schema versions
Closed, ResolvedPublic8 Story Points

Description

A user should be able to see a diff between a new version of the Schema vs the old version of the Schema

GIVEN two versions of a Schema
THEN It should be possible to see the diff of them

Acceptance Criteria

  • There should be a way to view the diff
  • This diff should be formatted like a Mediawiki diff
  • Instead of being based on the lines of the underlying JSON, the diff should focus on the structure of the schema (Wikidata example)

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseSchema : masterAdd WikibaseSchemaSlotDiffRenderer
mediawiki/extensions/WikibaseSchema : masterAdd SchemaDiffer

Event Timeline

noarave created this task.Jan 22 2019, 3:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2019, 3:03 PM
Ladsgroup moved this task from incoming to in progress on the Wikidata board.Jan 30 2019, 1:33 PM
hoo claimed this task.Feb 6 2019, 2:18 PM
hoo moved this task from Backlog to Doing on the Shape Expressions Sprint 1 board.

Change 489256 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] Add SchemaDiffer

https://gerrit.wikimedia.org/r/489256

hoo removed hoo as the assignee of this task.Feb 13 2019, 5:04 PM
hoo moved this task from Doing to Backlog on the Shape Expressions Sprint 2 board.
hoo added a subscriber: hoo.

Change 489256 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Add SchemaDiffer

https://gerrit.wikimedia.org/r/489256

Change 490676 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseSchema@master] WIP: Add WikibaseSchemaSlotDiffRenderer

https://gerrit.wikimedia.org/r/490676

Screenshots of the WIP patch:


I unassigned myself because I’m on vacation for the next week, so I hope others will be able to take over the patch (and not be too appalled at my code).

Change 490676 merged by jenkins-bot:
[mediawiki/extensions/WikibaseSchema@master] Add WikibaseSchemaSlotDiffRenderer

https://gerrit.wikimedia.org/r/490676

Lydia_Pintscher closed this task as Resolved.Feb 21 2019, 9:01 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Verification to Done on the Shape Expressions Sprint 2 board.

\o/

Lucas_Werkmeister_WMDE set the point value for this task to 8.Feb 25 2019, 2:09 PM